<?php
/**
 * Silverbird Scripts
 *
 * @link http://www.wp3layouts.com
 *
 * @package SilverBird
 */
 
/**
 * Register custom fonts.
 */
function silverbird_fonts_url() {
	$fonts_url = '';
	/*
	 * Translators: If there are characters in your language that are not
	 * supported by Bellefair, Playfair and Lato, translate this to 'off'. Do not translate
	 * into your own language.
	 */
	$Lato = _x( 'on', 'Lato font: on or off', 'silverbird' );
	$Bellefair = _x( 'on', 'Bellefair font: on or off', 'silverbird' );
	$Playfair = _x( 'on', 'Playfair+Display font: on or off', 'silverbird' );

	if (  'off' !== $Lato || 'off' !== $Bellefair || 'off' !== $Playfair ) {
		$font_families = array();

		$font_families[] = 'Lato:400,400i,700,700i,900|Bellefair:400,400i,700,700i,900|Playfair+Display:400,400i,700,700i,900';

		$query_args = array(
			'family' => urlencode( implode( '|', $font_families ) ),
			'subset' => urlencode( 'latin,latin-ext' ),
		);

		$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	}

	return esc_url_raw( $fonts_url );
}



/**
 * Enqueue scripts and styles.
 */
function silverbird_scripts() {

	wp_enqueue_style( 'bootstrap', SILVERBIRD_DIRECTORY_URI . '/assets/css/bootstrap.min.css' );
	wp_enqueue_style( 'font-awesome', SILVERBIRD_DIRECTORY_URI .'/assets/css/font-awesome.min.css' );

	/*Animate Style*/
	wp_enqueue_style( 'animate', SILVERBIRD_DIRECTORY_URI . '/assets/css/animate.min.css' );
	wp_enqueue_style( 'owl-carousel', SILVERBIRD_DIRECTORY_URI . '/assets/css/owl.carousel.css' );
	wp_enqueue_style( 'owl-theme', SILVERBIRD_DIRECTORY_URI . '/assets/css/owl.theme.css' );
	wp_enqueue_style( 'owl-transitions', SILVERBIRD_DIRECTORY_URI . '/assets/css/owl.transitions.css' );
	wp_enqueue_style( 'slicknav', SILVERBIRD_DIRECTORY_URI . '/assets/css/slicknav.css' );
	wp_enqueue_style( 'swipebox', SILVERBIRD_DIRECTORY_URI . '/assets/css/swipebox.css' );

	wp_enqueue_style( 'silverbird-style', get_stylesheet_uri() );
	wp_enqueue_style( 'silverbird-responsive', SILVERBIRD_DIRECTORY_URI . '/assets/css/responsive.css' );

	/*Main Font*/
	wp_enqueue_style( 'fonts', silverbird_fonts_url(), array(), null );

	wp_enqueue_script( 'modernizr', SILVERBIRD_DIRECTORY_URI . '/assets/js/modernizr-2.6.2.min.js', array(), '', true );
	wp_enqueue_script( 'bootstrap', SILVERBIRD_DIRECTORY_URI . '/assets/js/bootstrap.min.js', array(), '', true );
	wp_enqueue_script( 'owl-carousel', SILVERBIRD_DIRECTORY_URI . '/assets/js/owl.carousel.min.js', array(), '', true );
	wp_enqueue_script( 'imagesloaded', true );
	wp_enqueue_script( 'jquery-easing', SILVERBIRD_DIRECTORY_URI . '/assets/js/jquery.easing.1.3.js', array(), '', true );
	wp_enqueue_script( 'jquery-swipebox', SILVERBIRD_DIRECTORY_URI . '/assets/js/jquery.swipebox.js', array(), '', true );
	wp_enqueue_script( 'jquery-fitvids', SILVERBIRD_DIRECTORY_URI . '/assets/js/jquery.fitvids.js', array(), '', true );
	wp_enqueue_script( 'jquery-stickit', SILVERBIRD_DIRECTORY_URI . '/assets/js/jquery.stickit.min.js', array(), '', true );
	wp_enqueue_script( 'jquery-slicknav', SILVERBIRD_DIRECTORY_URI . '/assets/js/jquery.slicknav.js', array(), '', true );
	wp_enqueue_script( 'silverbird-custom-js', SILVERBIRD_DIRECTORY_URI . '/assets/js/custom.js', array('jquery'), '', true );


	wp_enqueue_script( 'silverbird-navigation', SILVERBIRD_DIRECTORY_URI . '/assets/js/navigation.js', array(), '20151215', true );

	wp_enqueue_script( 'silverbird-skip-link-focus-fix', SILVERBIRD_DIRECTORY_URI . '/assets/js/skip-link-focus-fix.js', array(), '20151215', true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'silverbird_scripts' );

// Add Customizer Icon Style
function silverbird_custom_customize_css() {
	wp_enqueue_style( 'silverbird-customizer-style', SILVERBIRD_DIRECTORY_URI . '/core/customizer/style.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'silverbird_custom_customize_css' );
